using System.Reflection;
using System.Runtime.InteropServices;
using NUnit.Framework;

namespace PkmnLibSharpTests
{
    [SetUpFixture]
    public sealed class TestClass
    {
        [OneTimeSetUp]
        public void Init()
        {
            NativeLibrary.Load("Arbutils", Assembly.GetCallingAssembly(), DllImportSearchPath.AssemblyDirectory);
            NativeLibrary.Load("CreatureLib", Assembly.GetCallingAssembly(), DllImportSearchPath.AssemblyDirectory);
            NativeLibrary.Load("pkmnLib", Assembly.GetCallingAssembly(), DllImportSearchPath.AssemblyDirectory);
        }
    }
}